> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/orders/get-orders-for-a-given-status.md).

# Get orders for a given status

Searches and paginates case orders across a partner's completed cases (or, for clinicians, their linked partners'), with filters for clinician, pharmacy, order status, case type, patient state, date range, and a free-text search on patient name, email, or order number. Results are ordered first by a fixed pharmacy-status priority and then by the requested sort field.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Orders"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"GetOrdersRequest":{"type":"object","properties":{"case_type":{"type":["string","null"]},"pharmacy_id":{"type":["string","null"],"format":"uuid"},"group":{"type":["string","null"],"enum":["status"]},"sort":{"type":["string","null"],"description":"Order by status grouping;","enum":["date"]},"order":{"type":["string","null"],"enum":["asc","desc"]},"is_live":{"type":["boolean","null"]},"is_sandbox":{"type":["boolean","null"]},"search_field":{"type":["string","null"],"maxLength":255},"page":{"type":"integer"},"per_page":{"type":"integer","minimum":1,"maximum":1000},"partners":{"type":["array","null"],"items":{"type":["string","null"],"format":"uuid"}},"order_status":{"type":["array","null"],"items":{"type":["string","null"]}},"states":{"type":["array","null"],"items":{"type":["string","null"],"format":"uuid"}},"date_range":{"type":"object","properties":[{"type":["string","null"],"format":"date-time"},{"type":["string","null"],"format":"date-time"}]}},"title":"GetOrdersRequest"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/case-orders/search":{"post":{"operationId":"v1.partners-app.case-orders.search","description":"Searches and paginates case orders across a partner's completed cases (or, for clinicians, their\nlinked partners'), with filters for clinician, pharmacy, order status, case type, patient state,\ndate range, and a free-text search on patient name, email, or order number. Results are ordered\nfirst by a fixed pharmacy-status priority and then by the requested sort field.","summary":"Get orders for a given status","tags":["Cases/Orders"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetOrdersRequest"}}}},"responses":{"200":{"description":"Array of items","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/orders/get-orders-for-a-given-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
